Package Details: openms 2.4.0-1

Git Clone URL: https://aur.archlinux.org/openms.git (read-only)
Package Base: openms
Description: C++ library and tools for LC/MS data management and analyses
Upstream URL: http://www.openms.de
Licenses: BSD
Submitter: saxonbeta
Maintainer: lukaszimmermann
Last Packager: lukaszimmermann
Votes: 2
Popularity: 0.000000
First Submitted: 2014-04-24 21:42
Last Updated: 2019-02-16 14:43

Latest Comments

1 2 Next › Last »

lukaszimmermann commented on 2019-01-31 13:07

I currently split this packages into several subpackages to support different installation flavors. That's why there has not been an update, yet.

lukaszimmermann commented on 2018-03-11 14:42

Sorry for the delay. I added an environment file to /etc/profile.d

levitsky commented on 2018-02-12 10:11

The package builds fine now, but I get this error when running the installed executables:

OpenMS FATAL ERROR! Cannot find shared data! OpenMS cannot function without it! To resolve this, set the environment variable 'OPENMS_DATA_PATH' to the OpenMS share directory (e.g., '/usr/share/OpenMS'). Exiting now.

Setting the variable to the suggested path indeed helps, but maybe this could be done at the package side? Adding a simple profile.d file with export command or whatever the best practice is.

Thanks!

lukaszimmermann commented on 2018-01-24 13:33

Thanks for the bug report. Should be resolved.

levitsky commented on 2018-01-19 14:25

Hi, I'm getting a validation error after the update:

==> Validating source files with sha256sums... OpenMS-2.3.0-src.tar.gz ... Passed OpenMS-TOPPView.desktop ... FAILED OpenMS-TOPPAS.desktop ... FAILED ==> ERROR: One or more files did not pass the validity check!

saxonbeta commented on 2017-08-10 23:28

@lukaszimmermann I have added you as comaintainer

lukaszimmermann commented on 2017-08-08 09:27

Is this going to be updated? I'd volunteer to take care of this package if not.

levitsky commented on 2015-06-03 13:53

Great, thanks!

saxonbeta commented on 2015-06-01 22:26

Sorry, my bad there was a missing dependency. Try now with this new PKGBUILD

levitsky commented on 2015-06-01 21:33

Thanks for looking into this! Now I get the following error:

CMake Error at /usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
Could NOT find Eigen3 (missing: EIGEN3_INCLUDE_DIR EIGEN3_VERSION_OK)
(Required is at least version "3.1.0")
Call Stack (most recent call first):
/usr/share/cmake-3.2/Modules/FindPackageHandleStandardArgs.cmake:374 (_FPHSA_FAILURE_MESSAGE)
cmake/modules/FindEigen3.cmake:76 (find_package_handle_standard_args)
src/openms/cmake_findExternalLibs.cmake:116 (find_package)
src/openms/CMakeLists.txt:63 (include)

Let me know if you need the full log.